Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911047 - Review Request: nodejs-q - A tool for making and composing asynchronous promises in JavaScript
Summary: Review Request: nodejs-q - A tool for making and composing asynchronous promi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcelo Barbosa "firemanxbr"
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 911040 911048
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:46 UTC by Jamie Nguyen
Modified: 2013-07-12 19:38 UTC (History)
4 users (show)

Fixed In Version: nodejs-q-0.9.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-25 21:21:49 UTC
marcelo.barbosa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:46:47 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-q.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-q-0.8.12-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
Q is a tool for making and composing asynchronous promises in JavaScript.

If a function cannot return a value or throw an exception without blocking,
it can return a promise instead. A promise is an object that represents the
return value or the thrown exception that the function may eventually provide.
A promise can also be used as a proxy for a remote object to overcome latency.

Q can exchange promises with jQuery, Dojo, When.js, WinJS, and more.
Additionally, there are many libraries that produce and consume Q promises for
everything from file system/database access or RPC to templating.

Comment 1 Jamie Nguyen 2013-02-22 14:09:52 UTC
Add a copy of the MIT license from upstream while waiting for the next release (which will include the license text).

Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-q.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-q-0.8.12-2.fc18.src.rpm

Comment 2 Jamie Nguyen 2013-05-26 10:29:24 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-q.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-q-0.9.4-1.fc18.src.rpm

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.9.4-1
- update to upstream release 0.9.4
- upstream have now included a copy of the MIT license

Comment 3 Marcelo Barbosa "firemanxbr" 2013-06-21 20:26:09 UTC
Jamie,

   Please see two issues:

   [!]: Latest version is packaged.
   https://github.com/kriskowal/q/blob/master/CHANGES.md

   [!]: %check is present and all tests pass.
   Verify if possible "%check" in your package

Marcelo Barbosa

Comment 4 Jamie Nguyen 2013-06-21 22:09:07 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-q.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-q-0.9.6-1.fc19.src.rpm

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.9.6-1
- update to upstream release 0.9.6
- add %%check and related BR


%check section is missing dependencies so not yet enabled.

Comment 5 Marcelo Barbosa "firemanxbr" 2013-06-24 19:15:16 UTC
Jamie,

   Some problem in your sources, see this is output for fedora-review:

$ fedora-review -b 911047
INFO: Processing bugzilla bug: 911047
INFO: Getting .spec and .srpm Urls from : 911047
INFO:   --> SRPM url: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-q-0.9.6-1.fc19.src.rpm
INFO:   --> Spec url: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-q.spec
INFO: Using review directory: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911047-nodejs-q
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): http://registry.npmjs.org/q/-/q-0.9.6.tgz
INFO: No upstream for (Source1): tests-v0.9.6.tar.bz2
INFO: No upstream for (Source10): dl-tests.sh
INFO: Running checks and generating report

   The review is not finished, please check this it.

Marcelo Barbosa

Comment 6 Marcelo Barbosa "firemanxbr" 2013-06-24 19:26:14 UTC
Jamie,

    I managed to run the fedora-review with the-m flag fedora-rawhide-x86_64, see result:

- Outputs rpmlint are false positives

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: nodejs-q-0.9.6-1.fc20.noarch.rpm
nodejs-q.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-q.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-q.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
nodejs-q.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-q
nodejs-q.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
nodejs-q.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-q.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
nodejs-q.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-q (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-q:
    nodejs-q
    npm(q)



Source checksums
----------------
http://registry.npmjs.org/q/-/q-0.9.6.tgz :
  CHECKSUM(SHA256) this package     : 28bbea749dc79674e6928f97bd8e4514a6680e5e7385614975c751e8170b22f4
  CHECKSUM(SHA256) upstream package : 28bbea749dc79674e6928f97bd8e4514a6680e5e7385614975c751e8170b22f4


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 911047 -m fedora-rawhide-x86_64

----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr

Comment 7 Jamie Nguyen 2013-06-24 19:51:27 UTC
New Package SCM Request
=======================
Package Name: nodejs-q
Short Description: A tool for making and composing asynchronous promises in JavaScript
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-06-24 20:04:42 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-06-24 23:19:12 UTC
nodejs-q-0.9.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-q-0.9.6-1.fc19

Comment 10 Fedora Update System 2013-06-24 23:21:38 UTC
nodejs-q-0.9.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-q-0.9.6-1.fc18

Comment 11 Fedora Update System 2013-06-24 23:24:29 UTC
nodejs-q-0.9.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-q-0.9.6-1.el6

Comment 12 Fedora Update System 2013-06-25 21:15:48 UTC
nodejs-q-0.9.6-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2013-07-05 01:56:35 UTC
nodejs-q-0.9.6-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-07-05 02:08:44 UTC
nodejs-q-0.9.6-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-07-12 19:38:33 UTC
nodejs-q-0.9.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.